From 9a290c4e798a4668cae65126d48d301b44b96a69 Mon Sep 17 00:00:00 2001
From: Claes Wallin <claes.wallin@greatsinodevelopment.com>
Date: Thu, 25 Jun 2015 12:00:06 +0200
Subject: [PATCH 1/3] gnu: Add skalibs.

 * gnu/package/skarnet.scm (skalibs): New file.
 * gnu-system.am (GNU_SYSTEM_MODULES): Add it.
---
 gnu-system.am            |  1 +
 gnu/packages/skarnet.scm | 54 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)
 create mode 100644 gnu/packages/skarnet.scm

diff --git a/gnu-system.am b/gnu-system.am
index a420d71..7504b2a 100644
--- a/gnu-system.am
+++ b/gnu-system.am
@@ -273,6 +273,7 @@ GNU_SYSTEM_MODULES =				\
   gnu/packages/search.scm			\
   gnu/packages/serveez.scm			\
   gnu/packages/shishi.scm			\
+  gnu/packages/skarnet.scm			\
   gnu/packages/skribilo.scm			\
   gnu/packages/slang.scm			\
   gnu/packages/slim.scm				\
diff --git a/gnu/packages/skarnet.scm b/gnu/packages/skarnet.scm
new file mode 100644
index 0000000..3bdb90a
--- /dev/null
+++ b/gnu/packages/skarnet.scm
@@ -0,0 +1,54 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2015 Claes Wallin <claes.wallin@greatsinodevelopment.com>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages skarnet)
+  #:use-module (gnu packages)
+  #:use-module (guix licenses)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix build-system gnu))
+
+(define-public skalibs
+  (package
+    (name "skalibs")
+    (version "2.3.5.1")
+    (source
+     (origin
+      (method url-fetch)
+      (uri (string-append "http://skarnet.org/software/skalibs/skalibs-"
+                          version ".tar.gz"))
+      (sha256
+       (base32
+        "1m31wph4qr4mqgv51nzwd9nw0x5vmpkcxr48i216wn3dpy3mvxwy"))))
+    (build-system gnu-build-system)
+    (search-paths
+     (list (search-path-specification
+            (variable "CPATH")
+            (files '("include")))
+           (search-path-specification
+            (variable "LIBRARY_PATH")
+            (files '("lib")))))
+    (arguments
+     '(#:configure-flags '("--enable-force-devr") ; do not analyze /dev/random
+       #:tests? #f)) ; no tests exist
+    (home-page "http://skarnet.org/software/skalibs/")
+    (synopsis "Common libraries for skarnet.org software")
+    (description
+     "General-purpose libraries for minimalist C development, used by all
+      skarnet.org software.")
+    (license isc)))
-- 
2.4.3

